// gradovi2.cpp - Uredivanje imena gradova smeštenih u dinamički niz niski
//                (u stilu C++).

#include <string>
#include <iostream>
using std::cin, std::cout, std::endl, std::string;

const int MAX_GRAD = 100;

int main() {

  // Čitanje i obrada pojedinačnih imena:
  cout << "\nNeuredjeni niz imena gradova:\n\n";
  string* gradovi = new string [MAX_GRAD];
  int  br_grad=0;
  do {
    string grad;
    getline(cin, grad);              // Čitanje sledećeg imena.

  // Kraj ako je prazan red:
  if (grad == "") break;

    cout << grad << endl;            // Ispisivanje imena.

    // Uvrštavanje novog imena u uređeni niz starih imena:
    int i;
    for (i=br_grad-1; i>=0; i--)
      if (gradovi[i] > grad)
        gradovi[i+1] = gradovi[i];
      else break;
    gradovi[i+1] = grad;

    // Nastavak rada ako ima još slobodnih mesta u nizu:
  } while (++br_grad < MAX_GRAD);

  // Skraćivanje niza:
  string* pom = new string [br_grad];
  for (int i=0; i<br_grad; i++)
    pom[i] = gradovi[i];
  delete [] gradovi; gradovi = pom;

  // Ispisivanje uređenog niza imena:
  cout << "\nUredjeni niz imena gradova:\n\n";
  for (int i=0; i<br_grad; cout<<gradovi[i++]<<endl);

  // Uništavanje niza.
  delete [] gradovi;
}
