// knjiga_tvrdo_kor.h - Tvrdo koričenih knjiga.

#ifndef _knjiga_tvrdo_kor_h_
#define _knjiga_tvrdo_kor_h_

#include "knjiga.h"

class Knjiga_tvrdo_kor: public Knjiga {
  double cena_kor;                                 // Cena koričenja.
public:
  Knjiga_tvrdo_kor(string autor, string naslov,    // Inicijalizacija.
                   double cena, double cena_kor)
    : Knjiga{autor, naslov, cena}, cena_kor{cena_kor} {}
  double vrednost() const override                 // Vrednost knjige.
    { return Knjiga::vrednost() + cena_kor; }
  void pisi(ostream& it) const override {          // Upisivanje u tok.
    Knjiga::pisi(it);
    it << " [tvrde korice]";
  }
};

#endif
