// pokretan_t.cpp - Ispitivanje klase pokretnih tačaka.

#include "tacka5.h"
#include "vektor1.h"
#include "brzina.h"
#include <iostream>
using std::cin, std::cout, std::endl;

int main() {
  cout << "Broj tacaka? "; int n; cin >> n;
  Tacka** tacke = new Tacka* [n];
  for (int i=0; i<n; i++) {
    cout << "Koordinate tacke " << i << "? ";
    double x, y, z; cin >> x >> y >> z;
    cout << "Komponente brzine? ";
    double vx, vy, vz; cin >> vx >> vy >> vz;
    tacke[i] = new Tacka{Vektor(x,y,z), Brzina(vx,vy,vz)};
  }

  cout << "\nBroj koraka? "; int k; cin >> k;
  cout << "Trajanje koraka? "; double dt; cin >> dt;
  const Tacka org;
  cout << "ORG   " << org << "\n\n";

  for (int i=0; i<k; i++) {
    for (int j=0; j<n; tacke[j++]->proteklo(dt));
    double min = rastojanje(org, *tacke[0]); int m = 0;
    for (int j=1; j<n; j++) {
      double d = rastojanje(org, *tacke[j]);
      if (d < min) { min = d; m = j; }
    }
    cout << i << ' ' << *tacke[m] << ' ' << min << endl;
  }

  for (int i=0; i<n; i++) delete tacke[i];
  delete [] tacke;
}
