// duz2.h - Klasa duži.

#ifndef _duz2_h_
#define _duz2_h_

#include "figura4.h"
#include <iostream>
#include <utility>
using std::move;

class Duz: public Figura {
  Vektor A, B;                                 // Vektori položaja krajeva.
  void pisi(ostream& it) const override { it << A << '-' << B; } // Pisanje.
public:
  Duz(const Vektor& A, const Vektor& B): A{A}, B{B} {} // Inicijalizacija.
  Duz& operator+=(const Vektor& v) override            // Pomeranje duži.
    { A += v; B += v; return *this; }
  Duz* kopija() const& override                // Kopija duži kopiranjem.
    { return new Duz(*this); }
  Duz* kopija() && override                    // Kopija duži premeštanjem.
    { return new Duz(move(*this)); }
};

#endif
