// knjiga_polovna.h - Tvrdo koričenih knjiga.

#ifndef _knjiga_polovna_h_
#define _knjiga_polovna_h_

#include "knjiga.h"

class Knjiga_polovna: public Knjiga {
  double procenat;                                 // Umanjenje vrednosti.
public:
  Knjiga_polovna(string autor, string naslov,      // Inicijalizacija.
                 double cena, double procenat)
    : Knjiga{autor, naslov, cena}, procenat{procenat} {}
  double vrednost() const override                 // Vrednost knjige.
    { return Knjiga::vrednost() * (1 - procenat/100); }
  void pisi(ostream& it) const override {          // Upisivanje u tok.
    Knjiga::pisi(it);
    it << " [polovna]";
  }
};

#endif
