// lista8_pisi.cpp - Prikazivanje sadržaja liste iz relativne datoteke.

#include "r_file.h"
#include <iostream>
#include <iomanip>
using std::cout, std::endl, std::setw;

struct Zapis { int sif; char txt[50]; unsigned nar; };

int main() {
  try {
    R_file dat("lista8.dat");
    Zapis zap;
    dat.read(&zap, 1);
    while (zap.nar) {
      dat.read(&zap, zap.nar);
      cout << setw(5) << zap.sif << "   " << zap.txt << endl;
    }
  } catch (R_file::Greska g) { cout << g; }
}
