// mas_sfera.h - Klasa mašina za sfere.

#ifndef _mas_sfera_h_
#define _mas_sfera_h_

#include "masina.h"
#include "sfera3.h"

namespace Fabrika {
  class Mas_sfera: public Masina {
    double r;                               // Poluprečnik pravljenih sfera.
    Sfera* pravi() const override           // Napravi sferu.
      { return new Sfera(r); }
  public:
    Mas_sfera(double r): r{r} {}            // Stvaranje mašine.
    char vrsta() const override             // Vrsta pravljenih proizv.
      { return Sfera::VR; }
    double dohv_r() const { return r; }     // Dohvatanje poluprečnika
  }; // class Mas_sfera                     //   pravljenih sfera.
} // namesapace Fabrika

#endif
