// odred.h - Klasa odrdnica u rečniku.

#include <string>
#include <iostream>
using std::string, std::ostream;

class Odred {
  string poj, prev;                        // Pojam i prevod.
public:
  Odred(string poj, string prev)           // Stvaranje odrednice.
    : poj{poj}, prev{prev} {}
  bool operator==(string poj) const        // Da li sadrži pojam?
    { return this->poj == poj; }
  friend bool operator==(const Odred& odr1, const Odred& odr2) {
    return odr1.poj==odr2.poj && odr1.prev==odr2.prev; // Da li su jednake?
  }
  friend bool operator<(const Odred& odr1, const Odred& odr2) {
    return odr1.poj<odr2.poj ||                        // Da li je ispred?
           odr1.poj==odr2.poj && odr1.prev<odr2.prev;
  }
  friend ostream& operator<<(ostream& it, const Odred& odr) // Pisanje.
    { return it << odr.poj << ":" << odr.prev; }
};
