// predmet1.h – Apstraktna klasa predmeta.

#ifndef _predmet1_h_
#define _predmet1_h_

#include <iostream>
using std::istream, std::ostream;

class Predmet {
  double sigma;        // Specifična težina.
public:
  Predmet(double sigma=1): sigma{sigma} {}              // Konstruktor.
  virtual double V() const =0;                          // Zapremina.
  double q() const { return V() * sigma; }              // Težina.
protected:
  virtual void citaj(istream& ut) { ut >> sigma; }      // Čitanje.
  friend istream& operator>>(istream& ut, Predmet& p)
    { p.citaj(ut); return ut; }
  virtual void pisi(ostream& it) const { it << sigma; } // Pisanje.
  friend ostream& operator<<(ostream& it, const Predmet& p)
    { p.pisi(it); return it; }
};

#endif
