// tacka8.h - Klasa tačaka.

#include <iostream>
using std::istream, std::ostream;

class Tacka {
  double x, y; // Koordinate.
public:
  friend istream& operator>>(istream& ut, Tacka& tt)       // Čitanje.
    { return ut >> tt.x >> tt.y; }
  friend ostream& operator<<(ostream& it, const Tacka& tt) // Pisanje.
    { return it << "T(" << tt.x << ',' << tt.y << ')'; }
  friend bool operator<(const Tacka& t1, const Tacka& t2)  // Upoređivanje.
    { return t1.x*t1.x + t1.y*t1.y < t2.x*t2.x + t2.y*t2.y; }
};
